cpw.mods.fml.common.discovery.asm

## Class ModAnnotation

- java.lang.Object
- - cpw.mods.fml.common.discovery.asm.ModAnnotation

-     public class ModAnnotation
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ModAnnotation.EnumHolder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModAnnotation(cpw.mods.fml.common.discovery.asm.ASMModParser.AnnotationType type, org.objectweb.asm.Type asmType, ModAnnotation parent)`
    `ModAnnotation(cpw.mods.fml.common.discovery.asm.ASMModParser.AnnotationType type, org.objectweb.asm.Type asmType, String member)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArray(String name)`
    `ModAnnotation` | `addChildAnnotation(String name, String desc)`
    `void` | `addEnumProperty(String key, String enumName, String value)`
    `void` | `addProperty(String key, Object value)`
    `void` | `endArray()`
    `org.objectweb.asm.Type` | `getASMType()`
    `String` | `getMember()`
    `cpw.mods.fml.common.discovery.asm.ASMModParser.AnnotationType` | `getType()`
    `Map<String,Object>` | `getValues()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModAnnotation

          public ModAnnotation(cpw.mods.fml.common.discovery.asm.ASMModParser.AnnotationType type,
                       org.objectweb.asm.Type asmType,
                       String member)

    - #### ModAnnotation

          public ModAnnotation(cpw.mods.fml.common.discovery.asm.ASMModParser.AnnotationType type,
                       org.objectweb.asm.Type asmType,
                       ModAnnotation parent)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getType

          public cpw.mods.fml.common.discovery.asm.ASMModParser.AnnotationType getType()

    - #### getASMType

          public org.objectweb.asm.Type getASMType()

    - #### getMember

          public String getMember()

    - #### getValues

          public Map<String,Object> getValues()

    - #### addArray

          public void addArray(String name)

    - #### addProperty

          public void addProperty(String key,
                         Object value)

    - #### addEnumProperty

          public void addEnumProperty(String key,
                             String enumName,
                             String value)

    - #### endArray

          public void endArray()

    - #### addChildAnnotation

          public ModAnnotation addChildAnnotation(String name,
                                         String desc)